/**
 */
package org.etsi.mts.tdl;

import org.eclipse.emf.common.util.EList;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Component Type</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.etsi.mts.tdl.ComponentType#getGateInstance <em>Gate Instance</em>}</li>
 *   <li>{@link org.etsi.mts.tdl.ComponentType#getTimer <em>Timer</em>}</li>
 *   <li>{@link org.etsi.mts.tdl.ComponentType#getVariable <em>Variable</em>}</li>
 *   <li>{@link org.etsi.mts.tdl.ComponentType#getExtension <em>Extension</em>}</li>
 * </ul>
 *
 * @see org.etsi.mts.tdl.tdlPackage#getComponentType()
 * @model
 * @generated
 */
public interface ComponentType extends PackageableElement
{
	/**
	 * Returns the value of the '<em><b>Gate Instance</b></em>' containment reference list.
	 * The list contents are of type {@link org.etsi.mts.tdl.GateInstance}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Gate Instance</em>' containment reference list.
	 * @see org.etsi.mts.tdl.tdlPackage#getComponentType_GateInstance()
	 * @model containment="true" required="true"
	 * @generated
	 */
	EList<GateInstance> getGateInstance();

	/**
	 * Returns the value of the '<em><b>Timer</b></em>' containment reference list.
	 * The list contents are of type {@link org.etsi.mts.tdl.Timer}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Timer</em>' containment reference list.
	 * @see org.etsi.mts.tdl.tdlPackage#getComponentType_Timer()
	 * @model containment="true"
	 * @generated
	 */
	EList<Timer> getTimer();

	/**
	 * Returns the value of the '<em><b>Variable</b></em>' containment reference list.
	 * The list contents are of type {@link org.etsi.mts.tdl.Variable}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Variable</em>' containment reference list.
	 * @see org.etsi.mts.tdl.tdlPackage#getComponentType_Variable()
	 * @model containment="true"
	 * @generated
	 */
	EList<Variable> getVariable();

	/**
	 * Returns the value of the '<em><b>Extension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Extension</em>' containment reference.
	 * @see #setExtension(Extension)
	 * @see org.etsi.mts.tdl.tdlPackage#getComponentType_Extension()
	 * @model containment="true"
	 * @generated
	 */
	Extension getExtension();

	/**
	 * Sets the value of the '{@link org.etsi.mts.tdl.ComponentType#getExtension <em>Extension</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Extension</em>' containment reference.
	 * @see #getExtension()
	 * @generated
	 */
	void setExtension(Extension value);

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @model annotation="http://www.eclipse.org/emf/2002/Ecore/OCL/Pivot body='\n            if (not self.extension.oclIsUndefined()) then\n                self.extension.extending.oclAsType(ComponentType).allGates()-&gt;union(self.gateInstance)-&gt;asOrderedSet()\n            else \n                self.gateInstance\n            endif\n            '"
	 *        annotation="http://www.eclipse.org/OCL/Collection nullFree='false'"
	 * @generated
	 */
	EList<GateInstance> allGates();

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @model annotation="http://www.eclipse.org/emf/2002/Ecore/OCL/Pivot body='\n            if (not self.extension.oclIsUndefined()) then\n                self.extension.extending.oclAsType(ComponentType).allTimers()-&gt;union(self.timer)-&gt;asOrderedSet()\n            else \n                self.timer\n            endif\n            '"
	 *        annotation="http://www.eclipse.org/OCL/Collection nullFree='false'"
	 * @generated
	 */
	EList<Timer> allTimers();

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @model annotation="http://www.eclipse.org/emf/2002/Ecore/OCL/Pivot body='\n            if (not self.extension.oclIsUndefined()) then\n                self.extension.extending.oclAsType(ComponentType).allVariables()-&gt;union(self.variable)-&gt;asOrderedSet()\n            else \n                self.variable\n            endif\n            '"
	 *        annotation="http://www.eclipse.org/OCL/Collection nullFree='false'"
	 * @generated
	 */
	EList<Variable> allVariables();

} // ComponentType
