/**
 */
package org.etsi.mts.tdl.structuredobjectives;

import org.eclipse.emf.common.util.EList;

import org.etsi.mts.tdl.TestConfiguration;
import org.etsi.mts.tdl.TestObjective;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Structured Test Objective</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.etsi.mts.tdl.structuredobjectives.StructuredTestObjective#getConfiguration <em>Configuration</em>}</li>
 *   <li>{@link org.etsi.mts.tdl.structuredobjectives.StructuredTestObjective#getInitialConditions <em>Initial Conditions</em>}</li>
 *   <li>{@link org.etsi.mts.tdl.structuredobjectives.StructuredTestObjective#getExpectedBehaviour <em>Expected Behaviour</em>}</li>
 *   <li>{@link org.etsi.mts.tdl.structuredobjectives.StructuredTestObjective#getFinalConditions <em>Final Conditions</em>}</li>
 *   <li>{@link org.etsi.mts.tdl.structuredobjectives.StructuredTestObjective#getPicsReference <em>Pics Reference</em>}</li>
 *   <li>{@link org.etsi.mts.tdl.structuredobjectives.StructuredTestObjective#getVariants <em>Variants</em>}</li>
 * </ul>
 *
 * @see org.etsi.mts.tdl.structuredobjectives.StructuredObjectivesPackage#getStructuredTestObjective()
 * @model
 * @generated
 */
public interface StructuredTestObjective extends TestObjective, Element
{
	/**
	 * Returns the value of the '<em><b>Configuration</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Configuration</em>' reference.
	 * @see #setConfiguration(TestConfiguration)
	 * @see org.etsi.mts.tdl.structuredobjectives.StructuredObjectivesPackage#getStructuredTestObjective_Configuration()
	 * @model
	 * @generated
	 */
	TestConfiguration getConfiguration();

	/**
	 * Sets the value of the '{@link org.etsi.mts.tdl.structuredobjectives.StructuredTestObjective#getConfiguration <em>Configuration</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Configuration</em>' reference.
	 * @see #getConfiguration()
	 * @generated
	 */
	void setConfiguration(TestConfiguration value);

	/**
	 * Returns the value of the '<em><b>Initial Conditions</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Initial Conditions</em>' containment reference.
	 * @see #setInitialConditions(InitialConditions)
	 * @see org.etsi.mts.tdl.structuredobjectives.StructuredObjectivesPackage#getStructuredTestObjective_InitialConditions()
	 * @model containment="true"
	 * @generated
	 */
	InitialConditions getInitialConditions();

	/**
	 * Sets the value of the '{@link org.etsi.mts.tdl.structuredobjectives.StructuredTestObjective#getInitialConditions <em>Initial Conditions</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Initial Conditions</em>' containment reference.
	 * @see #getInitialConditions()
	 * @generated
	 */
	void setInitialConditions(InitialConditions value);

	/**
	 * Returns the value of the '<em><b>Expected Behaviour</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Expected Behaviour</em>' containment reference.
	 * @see #setExpectedBehaviour(ExpectedBehaviour)
	 * @see org.etsi.mts.tdl.structuredobjectives.StructuredObjectivesPackage#getStructuredTestObjective_ExpectedBehaviour()
	 * @model containment="true"
	 * @generated
	 */
	ExpectedBehaviour getExpectedBehaviour();

	/**
	 * Sets the value of the '{@link org.etsi.mts.tdl.structuredobjectives.StructuredTestObjective#getExpectedBehaviour <em>Expected Behaviour</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Expected Behaviour</em>' containment reference.
	 * @see #getExpectedBehaviour()
	 * @generated
	 */
	void setExpectedBehaviour(ExpectedBehaviour value);

	/**
	 * Returns the value of the '<em><b>Final Conditions</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Final Conditions</em>' containment reference.
	 * @see #setFinalConditions(FinalConditions)
	 * @see org.etsi.mts.tdl.structuredobjectives.StructuredObjectivesPackage#getStructuredTestObjective_FinalConditions()
	 * @model containment="true"
	 * @generated
	 */
	FinalConditions getFinalConditions();

	/**
	 * Sets the value of the '{@link org.etsi.mts.tdl.structuredobjectives.StructuredTestObjective#getFinalConditions <em>Final Conditions</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Final Conditions</em>' containment reference.
	 * @see #getFinalConditions()
	 * @generated
	 */
	void setFinalConditions(FinalConditions value);

	/**
	 * Returns the value of the '<em><b>Pics Reference</b></em>' containment reference list.
	 * The list contents are of type {@link org.etsi.mts.tdl.structuredobjectives.PICSReference}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Pics Reference</em>' containment reference list.
	 * @see org.etsi.mts.tdl.structuredobjectives.StructuredObjectivesPackage#getStructuredTestObjective_PicsReference()
	 * @model containment="true"
	 * @generated
	 */
	EList<PICSReference> getPicsReference();

	/**
	 * Returns the value of the '<em><b>Variants</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Variants</em>' containment reference.
	 * @see #setVariants(Variants)
	 * @see org.etsi.mts.tdl.structuredobjectives.StructuredObjectivesPackage#getStructuredTestObjective_Variants()
	 * @model containment="true"
	 * @generated
	 */
	Variants getVariants();

	/**
	 * Sets the value of the '{@link org.etsi.mts.tdl.structuredobjectives.StructuredTestObjective#getVariants <em>Variants</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Variants</em>' containment reference.
	 * @see #getVariants()
	 * @generated
	 */
	void setVariants(Variants value);

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @model required="true"
	 *        annotation="http://www.eclipse.org/emf/2002/Ecore/OCL/Pivot body='self-&gt;asOrderedSet()-&gt;closure(oclContents())-&gt;indexOf(object)'"
	 * @generated
	 */
	int indexOf(Element object);

} // StructuredTestObjective
