/**
 */
package org.etsi.mts.tdl.structuredobjectives.util;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

import org.etsi.mts.tdl.NamedElement;
import org.etsi.mts.tdl.PackageableElement;
import org.etsi.mts.tdl.TestObjective;

import org.etsi.mts.tdl.structuredobjectives.*;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see org.etsi.mts.tdl.structuredobjectives.StructuredObjectivesPackage
 * @generated
 */
public class StructuredObjectivesAdapterFactory extends AdapterFactoryImpl
{
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static StructuredObjectivesPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StructuredObjectivesAdapterFactory()
	{
		if (modelPackage == null)
		{
			modelPackage = StructuredObjectivesPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object)
	{
		if (object == modelPackage)
		{
			return true;
		}
		if (object instanceof EObject)
		{
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected StructuredObjectivesSwitch<Adapter> modelSwitch =
		new StructuredObjectivesSwitch<Adapter>()
		{
			@Override
			public Adapter caseElement(Element object)
			{
				return createElementAdapter();
			}
			@Override
			public Adapter caseStructuredTestObjective(StructuredTestObjective object)
			{
				return createStructuredTestObjectiveAdapter();
			}
			@Override
			public Adapter caseInitialConditions(InitialConditions object)
			{
				return createInitialConditionsAdapter();
			}
			@Override
			public Adapter caseEventSequence(EventSequence object)
			{
				return createEventSequenceAdapter();
			}
			@Override
			public Adapter caseEventOccurrence(EventOccurrence object)
			{
				return createEventOccurrenceAdapter();
			}
			@Override
			public Adapter caseExpectedBehaviour(ExpectedBehaviour object)
			{
				return createExpectedBehaviourAdapter();
			}
			@Override
			public Adapter caseFinalConditions(FinalConditions object)
			{
				return createFinalConditionsAdapter();
			}
			@Override
			public Adapter casePICSReference(PICSReference object)
			{
				return createPICSReferenceAdapter();
			}
			@Override
			public Adapter casePICS(PICS object)
			{
				return createPICSAdapter();
			}
			@Override
			public Adapter caseEntity(Entity object)
			{
				return createEntityAdapter();
			}
			@Override
			public Adapter caseEvent(Event object)
			{
				return createEventAdapter();
			}
			@Override
			public Adapter caseEventOccurrenceSpecification(EventOccurrenceSpecification object)
			{
				return createEventOccurrenceSpecificationAdapter();
			}
			@Override
			public Adapter caseEntityReference(EntityReference object)
			{
				return createEntityReferenceAdapter();
			}
			@Override
			public Adapter caseEventReference(EventReference object)
			{
				return createEventReferenceAdapter();
			}
			@Override
			public Adapter caseValue(Value object)
			{
				return createValueAdapter();
			}
			@Override
			public Adapter caseEventArgument(EventArgument object)
			{
				return createEventArgumentAdapter();
			}
			@Override
			public Adapter caseDataReference(DataReference object)
			{
				return createDataReferenceAdapter();
			}
			@Override
			public Adapter caseContent(Content object)
			{
				return createContentAdapter();
			}
			@Override
			public Adapter caseLiteralValue(LiteralValue object)
			{
				return createLiteralValueAdapter();
			}
			@Override
			public Adapter caseContentReference(ContentReference object)
			{
				return createContentReferenceAdapter();
			}
			@Override
			public Adapter caseLiteralValueReference(LiteralValueReference object)
			{
				return createLiteralValueReferenceAdapter();
			}
			@Override
			public Adapter caseRepeatedEventSequence(RepeatedEventSequence object)
			{
				return createRepeatedEventSequenceAdapter();
			}
			@Override
			public Adapter caseEventTemplateOccurrence(EventTemplateOccurrence object)
			{
				return createEventTemplateOccurrenceAdapter();
			}
			@Override
			public Adapter caseEventSpecificationTemplate(EventSpecificationTemplate object)
			{
				return createEventSpecificationTemplateAdapter();
			}
			@Override
			public Adapter caseEntityBinding(EntityBinding object)
			{
				return createEntityBindingAdapter();
			}
			@Override
			public Adapter caseVariants(Variants object)
			{
				return createVariantsAdapter();
			}
			@Override
			public Adapter caseTestObjectiveVariant(TestObjectiveVariant object)
			{
				return createTestObjectiveVariantAdapter();
			}
			@Override
			public Adapter caseVariantBinding(VariantBinding object)
			{
				return createVariantBindingAdapter();
			}
			@Override
			public Adapter casetdl_Element(org.etsi.mts.tdl.Element object)
			{
				return createtdl_ElementAdapter();
			}
			@Override
			public Adapter caseNamedElement(NamedElement object)
			{
				return createNamedElementAdapter();
			}
			@Override
			public Adapter casePackageableElement(PackageableElement object)
			{
				return createPackageableElementAdapter();
			}
			@Override
			public Adapter caseTestObjective(TestObjective object)
			{
				return createTestObjectiveAdapter();
			}
			@Override
			public Adapter defaultCase(EObject object)
			{
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target)
	{
		return modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.structuredobjectives.Element <em>Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.structuredobjectives.Element
	 * @generated
	 */
	public Adapter createElementAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.structuredobjectives.StructuredTestObjective <em>Structured Test Objective</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.structuredobjectives.StructuredTestObjective
	 * @generated
	 */
	public Adapter createStructuredTestObjectiveAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.structuredobjectives.InitialConditions <em>Initial Conditions</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.structuredobjectives.InitialConditions
	 * @generated
	 */
	public Adapter createInitialConditionsAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.structuredobjectives.EventSequence <em>Event Sequence</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.structuredobjectives.EventSequence
	 * @generated
	 */
	public Adapter createEventSequenceAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.structuredobjectives.EventOccurrence <em>Event Occurrence</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.structuredobjectives.EventOccurrence
	 * @generated
	 */
	public Adapter createEventOccurrenceAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.structuredobjectives.ExpectedBehaviour <em>Expected Behaviour</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.structuredobjectives.ExpectedBehaviour
	 * @generated
	 */
	public Adapter createExpectedBehaviourAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.structuredobjectives.FinalConditions <em>Final Conditions</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.structuredobjectives.FinalConditions
	 * @generated
	 */
	public Adapter createFinalConditionsAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.structuredobjectives.PICSReference <em>PICS Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.structuredobjectives.PICSReference
	 * @generated
	 */
	public Adapter createPICSReferenceAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.structuredobjectives.PICS <em>PICS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.structuredobjectives.PICS
	 * @generated
	 */
	public Adapter createPICSAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.structuredobjectives.Entity <em>Entity</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.structuredobjectives.Entity
	 * @generated
	 */
	public Adapter createEntityAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.structuredobjectives.Event <em>Event</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.structuredobjectives.Event
	 * @generated
	 */
	public Adapter createEventAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.structuredobjectives.EventOccurrenceSpecification <em>Event Occurrence Specification</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.structuredobjectives.EventOccurrenceSpecification
	 * @generated
	 */
	public Adapter createEventOccurrenceSpecificationAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.structuredobjectives.EntityReference <em>Entity Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.structuredobjectives.EntityReference
	 * @generated
	 */
	public Adapter createEntityReferenceAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.structuredobjectives.EventReference <em>Event Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.structuredobjectives.EventReference
	 * @generated
	 */
	public Adapter createEventReferenceAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.structuredobjectives.Value <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.structuredobjectives.Value
	 * @generated
	 */
	public Adapter createValueAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.structuredobjectives.EventArgument <em>Event Argument</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.structuredobjectives.EventArgument
	 * @generated
	 */
	public Adapter createEventArgumentAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.structuredobjectives.DataReference <em>Data Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.structuredobjectives.DataReference
	 * @generated
	 */
	public Adapter createDataReferenceAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.structuredobjectives.Content <em>Content</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.structuredobjectives.Content
	 * @generated
	 */
	public Adapter createContentAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.structuredobjectives.LiteralValue <em>Literal Value</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.structuredobjectives.LiteralValue
	 * @generated
	 */
	public Adapter createLiteralValueAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.structuredobjectives.ContentReference <em>Content Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.structuredobjectives.ContentReference
	 * @generated
	 */
	public Adapter createContentReferenceAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.structuredobjectives.LiteralValueReference <em>Literal Value Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.structuredobjectives.LiteralValueReference
	 * @generated
	 */
	public Adapter createLiteralValueReferenceAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.structuredobjectives.RepeatedEventSequence <em>Repeated Event Sequence</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.structuredobjectives.RepeatedEventSequence
	 * @generated
	 */
	public Adapter createRepeatedEventSequenceAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.structuredobjectives.EventTemplateOccurrence <em>Event Template Occurrence</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.structuredobjectives.EventTemplateOccurrence
	 * @generated
	 */
	public Adapter createEventTemplateOccurrenceAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.structuredobjectives.EventSpecificationTemplate <em>Event Specification Template</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.structuredobjectives.EventSpecificationTemplate
	 * @generated
	 */
	public Adapter createEventSpecificationTemplateAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.structuredobjectives.EntityBinding <em>Entity Binding</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.structuredobjectives.EntityBinding
	 * @generated
	 */
	public Adapter createEntityBindingAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.structuredobjectives.Variants <em>Variants</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.structuredobjectives.Variants
	 * @generated
	 */
	public Adapter createVariantsAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.structuredobjectives.TestObjectiveVariant <em>Test Objective Variant</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.structuredobjectives.TestObjectiveVariant
	 * @generated
	 */
	public Adapter createTestObjectiveVariantAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.structuredobjectives.VariantBinding <em>Variant Binding</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.structuredobjectives.VariantBinding
	 * @generated
	 */
	public Adapter createVariantBindingAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.Element <em>Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.Element
	 * @generated
	 */
	public Adapter createtdl_ElementAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.NamedElement <em>Named Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.NamedElement
	 * @generated
	 */
	public Adapter createNamedElementAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.PackageableElement <em>Packageable Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.PackageableElement
	 * @generated
	 */
	public Adapter createPackageableElementAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.etsi.mts.tdl.TestObjective <em>Test Objective</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.etsi.mts.tdl.TestObjective
	 * @generated
	 */
	public Adapter createTestObjectiveAdapter()
	{
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter()
	{
		return null;
	}

} //StructuredObjectivesAdapterFactory
